# Function applyCheckTrappedAbAttrs

- applyCheckTrappedAbAttrs(attrType, pokemon, trapped, otherPokemon, ...args): Promise<void>

- #### Parameters

  - attrType: (new (...args) => CheckTrappedAbAttr )
    - - new (...args): CheckTrappedAbAttr

      - #### Parameters

        - `Rest` ...args: any[]

        #### Returns CheckTrappedAbAttr

  - pokemon: default
  - trapped: BooleanHolder
  - otherPokemon: default
  - `Rest` ...args: any[]

  #### Returns Promise<void>

  - Defined in src/data/ability.ts:3648